Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.security.unt
Class ClientUNTCredentialProvider

    java.lang.Object
      weblogic.wsee.security.unt.ClientUNTCredentialProvider

All Implemented Interfaces:
  CredentialProvider

public class ClientUNTCredentialProvider
extends Object
implements CredentialProvider

User: jlee Date: Nov 11, 2004 Time: 9:33:30 AM

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ClientUNTCredentialProvider(byte[] username, byte[] password)`
`ClientUNTCredentialProvider(String username, String password)` Deprecated. Use ClientUNTCredentialProvider(byte[] username, byte[] password) instead.

Method Summary
`Object` | `getCredential(String tokenType, String issuerName, ContextHandler ctxHandler, Purpose p)`
`String[]` | `getValueTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientUNTCredentialProvider

    public ClientUNTCredentialProvider(byte[] username,
                                       byte[] password)

### ClientUNTCredentialProvider

    public ClientUNTCredentialProvider(String username,
                                       String password)

  Deprecated. Use ClientUNTCredentialProvider(byte[] username, byte[] password) instead.

Method Detail

### getCredential

    public Object getCredential(String tokenType,
                                String issuerName,
                                ContextHandler ctxHandler,
                                Purpose p)

  Specified by:
    `getCredential` in interface `CredentialProvider`

### getValueTypes

    public String[] getValueTypes()

  Specified by:
    `getValueTypes` in interface `CredentialProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD